--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Convert and array into a tuple.
constants: []

full_name: Array
includes: 
- !ruby/object:RI::IncludedModule 
  name: Indexable
- !ruby/object:RI::IncludedModule 
  name: Stackable
- !ruby/object:RI::IncludedModule 
  name: Random
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "**"
- !ruby/object:RI::MethodSummary 
  name: combination
- !ruby/object:RI::MethodSummary 
  name: conjoin
- !ruby/object:RI::MethodSummary 
  name: delete_unless
- !ruby/object:RI::MethodSummary 
  name: delete_values
- !ruby/object:RI::MethodSummary 
  name: delete_values_at
- !ruby/object:RI::MethodSummary 
  name: index
- !ruby/object:RI::MethodSummary 
  name: merge!
- !ruby/object:RI::MethodSummary 
  name: not_empty?
- !ruby/object:RI::MethodSummary 
  name: object_state
- !ruby/object:RI::MethodSummary 
  name: only
- !ruby/object:RI::MethodSummary 
  name: pad
- !ruby/object:RI::MethodSummary 
  name: pad!
- !ruby/object:RI::MethodSummary 
  name: permutation
- !ruby/object:RI::MethodSummary 
  name: power_set
- !ruby/object:RI::MethodSummary 
  name: product
- !ruby/object:RI::MethodSummary 
  name: recursively
- !ruby/object:RI::MethodSummary 
  name: recursively!
- !ruby/object:RI::MethodSummary 
  name: rotate
- !ruby/object:RI::MethodSummary 
  name: rotate!
- !ruby/object:RI::MethodSummary 
  name: select!
- !ruby/object:RI::MethodSummary 
  name: splice
- !ruby/object:RI::MethodSummary 
  name: to_b
- !ruby/object:RI::MethodSummary 
  name: to_console
- !ruby/object:RI::MethodSummary 
  name: to_h
- !ruby/object:RI::MethodSummary 
  name: to_h_assoc
- !ruby/object:RI::MethodSummary 
  name: to_h_auto
- !ruby/object:RI::MethodSummary 
  name: to_h_flat
- !ruby/object:RI::MethodSummary 
  name: to_h_multi
- !ruby/object:RI::MethodSummary 
  name: to_h_splat
- !ruby/object:RI::MethodSummary 
  name: to_shell
- !ruby/object:RI::MethodSummary 
  name: to_shellwords
- !ruby/object:RI::MethodSummary 
  name: to_t
- !ruby/object:RI::MethodSummary 
  name: traverse
- !ruby/object:RI::MethodSummary 
  name: traverse!
name: Array
superclass: Object
